-- Plugins: UI
-- https://github.com/rafi/vim-config

return {

	-----------------------------------------------------------------------------
	{ 'nvim-tree/nvim-web-devicons', lazy = false },
	{ 'MunifTanjim/nui.nvim', lazy = false },
	{
		'akinsho/bufferline.nvim', lazy = false, version = "*",
		dependencies = 'nvim-tree/nvim-web-devicons'
	},


	-----------------------------------------------------------------------------
	{
		'stevearc/dressing.nvim',
		init = function()
			---@diagnostic disable-next-line: duplicate-set-field
			vim.ui.select = function(...)
				require('lazy').load({ plugins = { 'dressing.nvim' } })
				return vim.ui.select(...)
			end
			---@diagnostic disable-next-line: duplicate-set-field
			vim.ui.input = function(...)
				require('lazy').load({ plugins = { 'dressing.nvim' } })
				return vim.ui.input(...)
			end
		end,
	},

	-----------------------------------------------------------------------------
	{
		'tenxsoydev/tabs-vs-spaces.nvim',
		event = { 'BufReadPost', 'BufNewFile' },
		config = true,
	},
}
